Bug 964261 - (CVE-2013-2077) CVE-2013-2077 kernel: xen: Hypervisor crash due to missing exception recovery on XRSTOR
CVE-2013-2077 kernel: xen: Hypervisor crash due to missing exception recovery...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130603,repo...
: Security
Depends On: 970204
Blocks: 964266
  Show dependency treegraph
 
Reported: 2013-05-17 12:49 EDT by Petr Matousek
Modified: 2013-06-16 01:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-17 12:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-05-17 12:49:24 EDT
Processors do certain validity checks on the data passed to XRSTOR. While the hypervisor controls the placement of that memory block, it doesn't restrict the contents in any way. Thus the hypervisor exposes itself to a fault occurring on XRSTOR. Other than for FXRSTOR, which behaves similarly, there was no exception recovery code attached to XRSTOR.

Malicious or buggy unprivileged user space can cause the entire host to crash.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 3 Petr Matousek 2013-05-17 12:50:48 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2013-06-03 12:50:03 EDT
Now public via:

http://www.openwall.com/lists/oss-security/2013/06/03/2
Comment 5 Petr Matousek 2013-06-03 12:52:46 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 970204]
Comment 6 Fedora Update System 2013-06-13 02:50:33 EDT
xen-4.2.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-13 22:28:29 EDT
xen-4.2.2-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-06-16 01:44:13 EDT
xen-4.1.5-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.